const path = require('path');

module.exports = {
    entry: './src/main.ts',
    mode: process.env.NODE_ENV || 'production',
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                loader: 'ts-loader',
            },
        ],
    },
    /* horrible hack to get ar.js working */
    node: {
        fs: 'empty',
    },
    devtool: 'inline-source-map',
    devServer: {
        contentBase: './dist',
        proxy: {
            '/arrows': {
                target: 'http://localhost:8081',
            }
        },
    },
    output: {
        filename: 'bundle.js',
        path: path.resolve(__dirname, 'dist'),
    },
    resolve: {
        extensions: [ '.ts', '.js', '.json' ],
    }
};
